org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class TreeTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.TreeTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.TreeTest.Traversals

- Enclosing class:
    TreeTest

      public static class TreeTest.Traversals
      extends TreeTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.TreeTest

      `TreeTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Tree>` | `get_g_V_out_out_out_tree()`
    `Traversal<Vertex,Tree>` | `get_g_V_out_out_tree_byXidX()`
    `Traversal<Vertex,Tree>` | `get_g_V_out_out_tree()`
    `Traversal<Vertex,Tree>` | `get_g_V_out_out_treeXaX_byXidX_capXaX()`
    `Traversal<Vertex,Tree>` | `get_g_V_out_out_treeXaX_capXaX()`
    `Traversal<Vertex,Tree>` | `get_g_VX1X_out_out_tree_byXnameX(Object v1Id)`
    `Traversal<Vertex,Tree>` | `get_g_VX1X_out_out_treeXaX_byXnameX_both_both_capXaX(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.TreeTest

      `g_V_out_out_out_tree, g_V_out_out_tree_byXidX, g_V_out_out_tree, g_V_out_out_treeXaX_byXidX_capXaX, g_V_out_out_treeXaX_capXaX, g_VX1X_out_out_tree_byXnameX, g_VX1X_out_out_treeXaX_byXnameX_both_both_capXaX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_VX1X_out_out_tree_byXnameX

          public Traversal<Vertex,Tree> get_g_VX1X_out_out_tree_byXnameX(Object v1Id)

      Specified by:
        `get_g_VX1X_out_out_tree_byXnameX` in class `TreeTest`

    - #### get_g_VX1X_out_out_treeXaX_byXnameX_both_both_capXaX

          public Traversal<Vertex,Tree> get_g_VX1X_out_out_treeXaX_byXnameX_both_both_capXaX(Object v1Id)

      Specified by:
        `get_g_VX1X_out_out_treeXaX_byXnameX_both_both_capXaX` in class `TreeTest`

    - #### get_g_V_out_out_tree_byXidX

          public Traversal<Vertex,Tree> get_g_V_out_out_tree_byXidX()

      Specified by:
        `get_g_V_out_out_tree_byXidX` in class `TreeTest`

    - #### get_g_V_out_out_treeXaX_byXidX_capXaX

          public Traversal<Vertex,Tree> get_g_V_out_out_treeXaX_byXidX_capXaX()

      Specified by:
        `get_g_V_out_out_treeXaX_byXidX_capXaX` in class `TreeTest`

    - #### get_g_V_out_out_tree

          public Traversal<Vertex,Tree> get_g_V_out_out_tree()

      Specified by:
        `get_g_V_out_out_tree` in class `TreeTest`

    - #### get_g_V_out_out_treeXaX_capXaX

          public Traversal<Vertex,Tree> get_g_V_out_out_treeXaX_capXaX()

      Specified by:
        `get_g_V_out_out_treeXaX_capXaX` in class `TreeTest`

    - #### get_g_V_out_out_out_tree

          public Traversal<Vertex,Tree> get_g_V_out_out_out_tree()

      Specified by:
        `get_g_V_out_out_out_tree` in class `TreeTest`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.